Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 16610
Description

On OS X, there are a few different approaches for installing QGIS and dependencies. On my machine, | use a package manager called
homebrew, similar to dpkg or similar in the linux world.

When grass is installed from source on OS X, there are some differences from what is done on linux. Homebrew grass creates a shell
script and names it grass64 rather than grass.sh. This script is found in /usr/local/bin, not in the bin path where all of the grass binaries are
kept.

On testing a possible solution today to get the grass provider operating for myself, | noticed that sextante is expecting to find grass.sh in
the same folder path that | set in the grass provider options for the "GRASS Folder". This is the binary directory where my v.*, r.* and
other grass binaries reside.

To get grass working, | created a symlink from my grass64 shell script to grass.sh in the "GRASS Folder". My test of v.voronoi worked as
expected. | have not tested further.

Instead of requiring the mac user to hack a fix for this, | would recommend that an additional setting be added to the grass provider
options to point to the grass shell command. In my case, | would set this to point at the grass64 command. An alternative would be to set
the name for the grass shell command, in my case the setting would be 'grass64'. As grass64 is in my PATH under /usr/local/bin, this
should also be sufficient to overcome the problem.

History

#1 - 2013-09-18 09:12 AM - John Tull

See my note here also:
https://gist.github.com/jctull/44d9ce4388fd485bfd5d

#2 - 2014-10-04 11:52 AM - Giovanni Manghi
- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.4.0

- Category deleted (59)

- Project changed from 78 to QGIS Application

#3 - 2014-10-04 11:53 AM - Giovanni Manghi
- Category set to Processing/GRASS

#4 - 2015-05-25 07:51 AM - Giovanni Manghi

- Target version set to Future Release - Lower Priority
- Status changed from Open to Feedback
https://gist.github.com/jctull/44d9ce4388fd485bfd5d

Is this still an issue? | have recently given training to people with OsX and they had no problems in running QGIS/Processing/GRASS.

#5 - 2015-06-01 09:21 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

please reopen if necessary.
